SliderHandle (install4j API)
Description: declaration: package: com.install4j.api.test.formcomponents, interface: SliderHandle

# Interface SliderHandle

All Superinterfaces:
  `FormComponentHandle`

public interface SliderHandle extends FormComponentHandle
Handle for the "Slider" form component. The Swing widget is a `JSlider` over an integer range.

Reach this handle via `ScreenHandle.slider()`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SliderHandle`
  `assertDisabled()`
  `SliderHandle`
  `assertEnabled()`
  `SliderHandle`
  `assertInvisible()`
  `SliderHandle`
  `assertValue(int expected)`
  Assert that the current value equals the expected value.
  `SliderHandle`
  `assertVisible()`
  `int`
  `getMaxValue()`
  The configured maximum value.
  `int`
  `getMinValue()`
  The configured minimum value.
  `int`
  `getValue()`
  The current slider value.
  `SliderHandle`
  `setValue(int value)`
  Set the slider value.

  ### Methods inherited from interface FormComponentHandle

  `getId, isEnabled, isVisible`

- ## Method Details

  - ### getValue

    int getValue()
    The current slider value.

  - ### getMinValue

    int getMinValue()
    The configured minimum value.

  - ### getMaxValue

    int getMaxValue()
    The configured maximum value.

  - ### setValue

    @NotNull SliderHandle setValue(int value)
    Set the slider value.

  - ### assertValue

    @NotNull SliderHandle assertValue(int expected)
    Assert that the current value equals the expected value.

  - ### assertEnabled

    @NotNull SliderHandle assertEnabled()
    Specified by:
      `assertEnabled` in interface `FormComponentHandle`

  - ### assertDisabled

    @NotNull SliderHandle assertDisabled()
    Specified by:
      `assertDisabled` in interface `FormComponentHandle`

  - ### assertVisible

    @NotNull SliderHandle assertVisible()
    Specified by:
      `assertVisible` in interface `FormComponentHandle`

  - ### assertInvisible

    @NotNull SliderHandle assertInvisible()
    Specified by:
      `assertInvisible` in interface `FormComponentHandle`